from django.db import models
from django.utils import timezone
# select UNIX_TIMESTAMP(datetime), level_percentage, radar_low_reg, status_reg from tcs


class MbTankRecord(models.Model):
    dt = models.DateTimeField(verbose_name="Время записи", default=timezone.now)
    radar_raw = models.PositiveIntegerField(verbose_name="Уровень воды по радару радара")
    level = models.PositiveSmallIntegerField(verbose_name="Уровень воды в % (пересчитан ПЛК)")
    status = models.PositiveSmallIntegerField(verbose_name="Регистр статуса")

    def __str__(self):
        return f"({self.id}) {self.dt}: radar={self.radar_raw}, level={self.level}"


class MbPumpRecord(models.Model):
    dt = models.DateTimeField(verbose_name="Время записи", default=timezone.now)

    # состояния насосной

    pump_stage = models.SmallIntegerField(verbose_name="Состояние КА")
    flow_meter = models.DecimalField(max_digits=4, decimal_places=1, verbose_name="Показания расходометра")
    alarm = models.PositiveSmallIntegerField(verbose_name="Авария насосной станции")

    # состояния ПЧ

    vfd_alarm = models.PositiveSmallIntegerField(verbose_name="Авария ПЧ")
    vfd_current = models.DecimalField(max_digits=5, decimal_places=2, verbose_name="Ток ПЧ")
    vfd_freq = models.DecimalField(max_digits=5, decimal_places=2, verbose_name="Частота ПЧ")
